## org.apache.poi.hwpf.usermodel
Class DateAndTime

    java.lang.Object
      org.apache.poi.hwpf.usermodel.DateAndTime

All Implemented Interfaces:
  java.lang.Cloneable

    public final class DateAndTime

extends java.lang.Object
implements java.lang.Cloneable

This class is used to represent a date and time in a Word document.

Author:
  Ryan Ackley

Field Summary
`static int` `SIZE`

Constructor Summary
`DateAndTime()`
`DateAndTime(byte[] buf, int offset)`

Method Summary
`java.lang.Object` `clone()`
`boolean` `equals(java.lang.Object o)`
`java.util.Calendar` `getDate()`
`boolean` `isEmpty()`
`void` `serialize(byte[] buf, int offset)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### DateAndTime

    public DateAndTime()

### DateAndTime

    public DateAndTime(byte[] buf,
                       int offset)

Method Detail

### getDate

    public java.util.Calendar getDate()

### serialize

    public void serialize(byte[] buf,
                          int offset)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### isEmpty

    public boolean isEmpty()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.